/* Header Search Ajax */
.woocommerce-product-search { 
    position: relative; 
}
.woocommerce-product-search .product-search-result-wrap {  
    display: none; 
    position: absolute; 
    left: 0; 
    top: 130%; 
    padding: 15px; 
    border: 1px solid var(--light-text); 
    width: 100%; 
    background-color: #FFF; 
    z-index: 9999; 
    background-image: url('images/load.gif'); 
    background-position: center center; 
    background-size: contain; 
    background-repeat: no-repeat; 
}
.woocommerce-product-search .product-search-result-wrap:hover { 
    display: block !important; 
}
.woocommerce-product-search .product-search-result-wrap ul { 
    padding:0; margin: 0; 
    list-style: none; 
}
.woocommerce-product-search .product-search-result-wrap ul li { 
    display: block; 
    padding: 5px; 
    background-color: #FFF; 
    border-bottom: 1px solid var(--light-text); 
}
.woocommerce-product-search .product-search-result-wrap ul li:last-child { 
    border-bottom: none; 
}
.woocommerce-product-search .search-field:focus + .product-search-result-wrap { 
    display: block; 
}
.woocommerce-product-search .product-search-result-wrap ul li a { 
    display: flex; 
    flex-wrap: nowrap; 
    justify-content: flex-start; 
    align-items: center; 
}
.woocommerce-product-search .product-search-result-wrap ul li:hover { 
    background-color: #f2f2f2; 
}
.woocommerce-product-search .product-search-result-wrap ul li a h3 { 
    font-size: 20px; 
    margin: 0; 
    padding: 0 10px; 
}
.woocommerce-product-search .product-search-result-wrap ul li > h3 { 
    font-size: 20px; 
    text-align: center; 
}
.woocommerce-product-search .product-search-result-wrap ul li img {
     max-width: 50px; 
}


/* Sticky Sidebar */

.top4-best-seller-products.fixed,
.top3-product-sidebar.fixed { 
    position:fixed; 
    top:15px; 
}
.top4-best-seller-products.absolute,
.top3-product-sidebar.absolute { 
    position:absolute; 
    bottom:0; top:auto; 
}


/* Add To Cart Modal Start */

.add-to-cart-modal { 
    position: fixed;
    left: 0; 
    top: 0; 
    width: 100%; 
    height: 100%; 
    transition:right 1s;  
    z-index: 9999; 
    transition:all .5s ease-in-out; 
    overflow-y: scroll;
    overflow-x: hidden;
    padding: 0 16px;

    display: flex;
    align-items: center;
    justify-content: center;
    
    visibility: hidden;
    pointer-events: none;
}

@media screen and (max-width: 767px) {
    .add-to-cart-modal { 
        align-items: start;
    }

}

.add-to-cart-modal.active {
    visibility: visible;
    pointer-events: initial;
}
.add-to-cart-modal .back-wrap { 
    background-color: rgba(0,0,0,0.4); 
    position: fixed; 
    z-index: 10; 
    width: 100%; 
    height: 100%; 
    left: 0; top: 0; 
}
.add-to-cart-modal .modal-in-wrap {
	position: relative;
	z-index: 100;
	padding: 24px 24px 16px 24px;
    width: 100%;
	max-width: 600px;
	box-shadow: 0px 0px 24px rgba(0,0,0, 0.4);
	background-color: #fff;

    transform: translateY(100px);
    opacity: 0;

    transition: all .4s ease;
}

.add-to-cart-modal.active .modal-in-wrap {
    transform: translateY(0px);
    opacity: 1;
}
.added-modal-title {
    font-family:var(--heading-font);
    font-size: 32px;
    line-height: 1.2;
}
.close-modal {
    display: block;
    width:56px;
    height:48px;
    display: flex;
    align-items:center;
    justify-content: center;
    position: absolute;
    right: 24px;
    top: 50%;
    transform: translateY(-50%);
    right: -30px;
}
.added-modal-header {
    position: relative;
}
.modal-product-content {
    position: relative;
    display: flex;
    align-items: center;
    border-bottom: 1px solid #bfbfbf;
    margin: 20px 0 8px 0;
    padding-bottom: 8px;
    gap: 16px;
}
.modal-cross-sells .product-swiper{
    padding: 24px !important;
    margin: -24px !important;
}
@media screen and (max-width: 767px) {
    .modal-cross-sells .product-swiper{
        margin: 0!important;
        overflow: hidden !important;
    }
}

@media screen and (max-width: 400px) {

    .modal-thumb img {
        width: 80px;
    }
}
.modal-current-order {
    margin: 16px 0;
    display: flex;
    justify-content: space-between;
    gap: 8px;
}
.modal-current-order__qty {

}

.modal-current-order__subtotal .price {
    font-size: 16px;
}
.modal-variation {
    color:var(--default-color);
    font-size: 15px;
    font-weight: 500;
    letter-spacing: -0.2px;
    line-height: 24px;
}
.modalAddedProductTitle {
    color:var(--default-color);
    font-size: 15px;
    font-weight: 500;
    letter-spacing: -0.2px;
    line-height: 24px;
}
.productAddedSuccess {
    background: var(--success-green);
    flex: 0 0 32px;
    max-width: 32px;
    height: 32px;
    border-radius: 50%;
    text-align: center;
    line-height: 30px;
    margin-left: auto;
}

.productAddedSuccess svg path{
    fill:#fff;
}
.added-modal-footer .site-btn {
    display: block;
    flex: 0 1 calc(50% - 12px);
    text-align: center;
}
.added-modal-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
}

.added-modal-footer > * {
	text-align: center;
    width: 100%;
}
@media only screen and (min-width:768px) {
    .added-modal-footer > * {
        width: 50%;
    }
}
.modal-products {
    padding: 0 30px;
}
.modal-products-title {
    font-family:var(--basic-sans-semi-font);
    font-size: 28px;
    letter-spacing: -0.12px;
    margin-top:30px;
    margin-bottom:24px;
}
@media only screen and (max-width:767px) {

    .admin-bar .add-to-cart-modal .modal-in-wrap {
        top: 46px;
    }
    .add-to-cart-modal .modal-in-wrap {
        border-radius: 0;
        top: 0;
        z-index: 999;
        padding: 30px 0;
    }
    .modal-items {
        padding: 0 30px;
    }
    .added-modal-header {
        padding: 0 30px;
        padding-right: 58px;
    }
    .added-modal-footer {
        flex-flow: row wrap;
        gap: 15px;
        padding: 0 30px;
    }
    .add-to-cart-modal .modal-products {
        padding-bottom: 120px;
    }
    .added-modal-footer {
        flex-flow: row wrap;
        gap: 15px;
    }
    .added-modal-footer .site-btn {
        flex: 0 1 100%;
    }
    .modal-products-title {
        margin-top: 20px;
        margin-bottom: 16px;    
        margin-bottom: 16px;    
    }
    .modal-products .row.products {
        display: block;
        padding-left: 22px;
    }
    .modal-products .col-6 {
        max-width: 100% !important;
    }
    .close-modal {
        right: 0;
    }
    .modal-product-content {
        min-height: 145px;
    }

}

/* Add To Cart Modal End */


/* Add To Cart popup Style Start */

.add-to-cart-pop-up {
	position: fixed;
	top:0;
	background-color: var(--theme-color4);
	width:500px;
	text-align: center;
	z-index: 99999;
	color: #ffffff;
	font-size: 15px;
	font-weight: 500;
	line-height: 20px;
	padding: 14px 20px;
    left:50%;
    margin-left:-200px;
    transition:0.5s all ease;
    opacity:0;
    visibility:hidden;
}
.add-to-cart-pop-up.show {
    transition:0.5s all ease;
	top:215px;
    opacity:1;
    visibility: visible;
}
.add-to-cart-pop-up a { 
    color:#fff; 
    text-decoration:underline !important;
} 


@media only screen and (max-width:767px) {

    .add-to-cart-pop-up {
        top:129px;
        background-color: var(--theme-color4);
        width:calc(100% - 40px);
        left:0;
        margin-left:20px;
        margin-right:20px;
    }
    .add-to-cart-pop-up.show {
        top: 129px;
    }
}
@media only screen and (max-width: 991px) {

    .top4-best-seller-products.fixed, .top4-best-seller-products.absolute { 
        position:static !important; 
    }
}

.product-box .added_to_cart.wc-forward {
    display: none;
}